curl --request POST \
--url https://api.cadanapay.com/v1/platform/businesses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"businessName": "Wayne Enterprise",
"adminFirstName": "Jane",
"adminLastName": "Founder",
"address": {
"countryCode": "US",
"line1": "Street 1",
"line2": "Apt 1",
"city": "Gotham",
"postalCode": "10001",
"state": "NY"
},
"adminEmail": "admin@example.com",
"idempotencyKey": "b6ae5da9-6342-4a58-bd50-8564d68d3f7e",
"country": "US",
"businessShortName": "W.E.",
"suppressWelcomeEmail": false,
"registrationId": "991234567",
"adminPhoneNumber": {
"countryCode": "1",
"number": "2345678901"
}
}
'{
"businessId": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"tenantKey": "biz123456"
}Create a business
curl --request POST \
--url https://api.cadanapay.com/v1/platform/businesses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"businessName": "Wayne Enterprise",
"adminFirstName": "Jane",
"adminLastName": "Founder",
"address": {
"countryCode": "US",
"line1": "Street 1",
"line2": "Apt 1",
"city": "Gotham",
"postalCode": "10001",
"state": "NY"
},
"adminEmail": "admin@example.com",
"idempotencyKey": "b6ae5da9-6342-4a58-bd50-8564d68d3f7e",
"country": "US",
"businessShortName": "W.E.",
"suppressWelcomeEmail": false,
"registrationId": "991234567",
"adminPhoneNumber": {
"countryCode": "1",
"number": "2345678901"
}
}
'{
"businessId": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"tenantKey": "biz123456"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Create business request payload
Business name
"Wayne Enterprise"
First name of the admin of the business
"Jane"
Last name of the admin of the business
"Founder"
Address
Show child attributes
Person's email
"admin@example.com"
Unique string to prevent dedupe
"b6ae5da9-6342-4a58-bd50-8564d68d3f7e"
"US"
Shortname of the business
"W.E."
Whether you want to suppress the welcome email
Registration id/number of the business
"991234567"
Person's phone number
Show child attributes